> ## Documentation Index
> Fetch the complete documentation index at: https://aspect.inc/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List API keys

> List all API keys for the authenticated user.

Returns key metadata without the actual key values.



## OpenAPI

````yaml /api-reference/openapi.json get /api-keys
openapi: 3.1.0
info:
  title: Aspect API
  description: Manage and search media in Aspect.
  version: 1.0.0
servers:
  - url: https://api.aspect.inc
security:
  - ApiKeyAuth: []
tags:
  - name: Users
  - name: API Keys
  - name: Workspaces
  - name: Projects
  - name: Directories
  - name: Assets
  - name: Attachments
  - name: Filesystem Items
  - name: Jobs
  - name: Collections
  - name: Comments
  - name: Search
  - name: Transcription
  - name: Metadata
  - name: Shares
  - name: Share Templates
  - name: Watermarks
paths:
  /api-keys:
    get:
      tags:
        - API Keys
      summary: List API keys
      description: |-
        List all API keys for the authenticated user.

        Returns key metadata without the actual key values.
      operationId: list_api_keys
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ApiKeyGetResponse'
                type: array
                title: Response List Api Keys Api Keys Get
components:
  schemas:
    ApiKeyGetResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        key_prefix:
          type: string
          title: Key Prefix
        created:
          type: string
          format: date-time
          title: Created
        updated:
          type: string
          format: date-time
          title: Updated
        user_id:
          type: string
          format: uuid
          title: User Id
        last_used:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Used
      type: object
      required:
        - id
        - name
        - key_prefix
        - created
        - updated
        - user_id
        - last_used
      title: ApiKeyGetResponse
      description: >-
        API response schema for getting API key metadata (no sensitive key
        value).
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Aspect API key (sk_...) in Authorization header. 'Bearer ' optional.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.